Bug 6810 - cifs.upcall: backport support for finding alternate credcaches to 3.3 and 3.4
cifs.upcall: backport support for finding alternate credcaches to 3.3 and 3.4
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.6
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-14 08:48 UTC by Jeff Layton
Modified: 2009-10-16 08:06 UTC (History)
5 users (show)

See Also:
sfrench: review+


Attachments
tarball containing patches to update cifs.upcall in v3-3-test and v3-4-test (25.01 KB, application/octet-stream)
2009-10-14 12:33 UTC, Jeff Layton
jlayton: review+
gd: review? (gd)
jlayton: review? (idra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Layton 2009-10-14 08:48:17 UTC
There have been several people on the mailing lists asking why mounting with sec=krb5 doesn't work when they are using alternate credcaches. Let's fix this proactively by backporting commit 704b739 to 3.3 and 3.4. That'll also mean pulling back a series of preliminary patches as well but that's probably for the best anyway.
Comment 1 Jeff Layton 2009-10-14 12:06:41 UTC
Looking at this...

It's probably easier and safer to basically move the cifs.upcall.c in both branches to the latest version. There aren't that many commits we can leave behind when we fix this, so we might as well take them all.
Comment 2 Jeff Layton 2009-10-14 12:33:59 UTC
Created attachment 4843 [details]
tarball containing patches to update cifs.upcall in v3-3-test and v3-4-test

This tarball contains 12 patches for each branch that should bring cifs.upcall in that branch close to the one in the master branch. I've given both a basic smoke testing and they seem to be OK.

I think bringing them into the next set of v3.3 and v3.4 releases is reasonable. Many people want to use CIFS sec=krb5 in conjunction with pam_krb5 (which tends to put the credcache in an alternate location).
Comment 3 Jeff Layton 2009-10-14 12:34:30 UTC
I requested review by Steve, but if anyone else wants to ACK it that would be fine too.
Comment 4 Jeremy Allison 2009-10-14 15:52:48 UTC
Sorry Jeff, there are way too many patches to review for 3.3.9 (due to *ship* tomorrow). Code freeze for 3.4.3 is tomorrow also. Wish you'd have brought this up a couple of weeks ago.
Jeremy.
Comment 5 Steve French 2009-10-14 16:17:30 UTC
reviewed
Comment 6 Jeff Layton 2009-10-15 05:59:45 UTC
Comment on attachment 4843 [details]
tarball containing patches to update cifs.upcall in v3-3-test and v3-4-test

I believe Steve meant to check the review + on the tarball here...
Comment 7 Jeff Layton 2009-10-15 06:00:44 UTC
Reassigning to Karolin. Let me know if there's anything further I need to do here.
Comment 8 Karolin Seeger 2009-10-16 08:06:51 UTC
Pushed to v3-4-test and v3-3-test.
Closing out bug report.

Thanks!